XFcMath class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcMath Class Reference

Static collection of math functions. More...

List of all members.

## Static Public Member Functions

XFCIMPORT XFcQuaternion & | quaternionRotationX (XFcQuaternion &aQuat, REAL aAngle)
| Creates a quaternion that rotates around X axis.
XFCIMPORT XFcQuaternion & | quaternionRotationY (XFcQuaternion &aQuat, REAL aAngle)
| Creates a quaternion that rotates around Y axis.
XFCIMPORT XFcQuaternion & | quaternionRotationZ (XFcQuaternion &aQuat, REAL aAngle)
| Creates a quaternion that rotates around Z axis.
XFCIMPORT XFcQuaternion & | quaternionRotationXYZ (XFcQuaternion &aQuat, REAL aXAngle, REAL aYAngle, REAL aZAngle)
| Creates a quaternion that rotates around X, Y and Z axes.
XFCIMPORT XFcQuaternion & | quaternionRotationVector (XFcQuaternion &aQuat, XFcVector3 &aVector, REAL aAngle)
| Creates a quaternion that rotates around given vector.
XFCIMPORT XFcQuaternion & | quaternionRotateX (XFcQuaternion &aQuat, REAL aAngle)
| Rotates a quaternion around X axis.
XFCIMPORT XFcQuaternion & | quaternionRotateY (XFcQuaternion &aQuat, REAL aAngle)
| Rotates a quaternion around Y axis.
XFCIMPORT XFcQuaternion & | quaternionRotateZ (XFcQuaternion &aQuat, REAL aAngle)
| Rotates a quaternion around Z axis.
XFCIMPORT XFcQuaternion & | quaternionRotateXYZ (XFcQuaternion &aQuat, REAL aXAngle, REAL aYAngle, REAL aZAngle)
| Rotates a quaternion around X, Y and Z axes.
XFCIMPORT XFcQuaternion & | quaternionRotateVector (XFcQuaternion &aQuat, XFcVector3 &aVec, REAL aAngle)
| Rotates a quaternion around given vector.
XFCIMPORT XFcQuaternion & | quaternionIdentity (XFcQuaternion &aQuat)
| Creates an identity quaternion.
XFCIMPORT void | quaternionTransform (XFcQuaternion &aQuat, XFcVector3 &aSrc, XFcVector3 &aDst)
| Transform a vector by a quaternion.
XFCIMPORT void | quaternionLookAt (XFcQuaternion &aQuat, XFcVector3 &aPos, XFcVector3 &aAt, XFcVector3 &aUp)
| Creates a quaternion from a look-at vector definition.
XFCIMPORT void | quaternionFromMatrix (XFcQuaternion &aQuat, XFcMatrix4 &aMatrix)
| Creates a quaternion from a matrix.
XFCIMPORT void | quaternionFromMatrix (XFcQuaternion &aQuat, XFcMatrix3 &aMatrix)
| Creates a quaternion from a matrix.
XFCIMPORT void | matrixFromQuaternion (XFcMatrix4 &aMatrix, XFcQuaternion &aQuat)
| Creates matrix from a quaternion.
XFCIMPORT void | quaternionSlerp (XFcQuaternion &aFrom, XFcQuaternion &aTo, REAL aPos, XFcQuaternion &aResult)
| Interpolates a quaternion using spherical linear interpolation.
XFCIMPORT XFcMatrix4 & | matrixIdentity (XFcMatrix4 &aMatrix)
| Creates an identity matrix.
XFCIMPORT XFcMatrix4 & | matrixRotationX (XFcMatrix4 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around X axis.
XFCIMPORT XFcMatrix4 & | matrixRotationY (XFcMatrix4 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around Y axis.
XFCIMPORT XFcMatrix4 & | matrixRotationZ (XFcMatrix4 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around Z axis.
XFCIMPORT XFcMatrix4 & | matrixTranslation (XFcMatrix4 &aMatrix, const XFcVector3 &aOffset)
| Creates a translation matrix.
XFCIMPORT XFcMatrix4 & | matrixScaling (XFcMatrix4 &aMatrix, REAL aScale)
| Creates a scaling matrix.
XFCIMPORT XFcMatrix4 & | matrixRotateX (XFcMatrix4 &aMatrix, REAL aAngle)
| Rotates a matrix around X axis.
XFCIMPORT XFcMatrix4 & | matrixRotateY (XFcMatrix4 &aMatrix, REAL aAngle)
| Rotates a matrix around Y axis.
XFCIMPORT XFcMatrix4 & | matrixRotateZ (XFcMatrix4 &aMatrix, REAL aAngle)
| Rotates a matrix around Z axis.
XFCIMPORT XFcMatrix4 & | matrixTranslate (XFcMatrix4 &aMatrix, const XFcVector3 &aOffset)
| Translates a matrix by offset.
XFCIMPORT XFcMatrix4 & | matrixScale (XFcMatrix4 &aMatrix, REAL aScale)
| Scales a matrix by a value.
XFCIMPORT void | matrixTransform (const XFcMatrix4 &aMatrix, const XFcVector3 &aSrc, XFcVector3 &aDst)
| Transforms a vector by a matrix.
XFCIMPORT void | matrixTransformNormal (const XFcMatrix4 &aMatrix, const XFcVector3 &aSrc, XFcVector3 &aDst)
| Transforms a vector by a matrix without translation information (affine transform).
XFCIMPORT XFcMatrix4 & | matrixTranspose (XFcMatrix4 &aMatrix)
| Transposes a matrix.
XFCIMPORT XFcMatrix4 & | matrixInverse (XFcMatrix4 &aMatrix)
| Inverses a matrix.
XFCIMPORT XFcMatrix4 & | matrixInverseAffine (XFcMatrix4 &aMatrix)
| Inverses a matrix. Handles only affine 3D transformation matricies.
XFCIMPORT XFcMatrix4 & | matrixInverseFast (XFcMatrix4 &aMatrix)
| Inverses a matrix. Handles only 3D matricies with rotation and translation.
XFCIMPORT void | matrixNormalize (XFcMatrix4 &aMatrix)
| Normalizes a matrix.
XFCIMPORT void | matrixLookAt (XFcMatrix4 &aMatrix, const XFcVector3 &aPos, const XFcVector3 &aAt, const XFcVector3 &aUp)
| Creates a look-at matrix.
XFCIMPORT void | matrixToProjection (XFcMatrix4 &aMatrix, REAL aHeight, REAL aWidth, REAL aFov, REAL aZNear, REAL aZFar)
| Creates a projection matrix.
XFCIMPORT void | matrixToProjectionOffCenter (XFcMatrix4 &aMatrix, REAL aHeight, REAL aWidth, REAL aFov, REAL aZNear, REAL aZFar, REAL aLeft, REAL aRight, REAL aTop, REAL aBottom)
| Creates an off-center projection matrix. Left, right, bottom and top are in screen coordinates.
XFCIMPORT void | matrixToProjectionOffCenter (XFcMatrix4 &aMatrix, REAL aLeft, REAL aRight, REAL aBottom, REAL aTop, REAL aNear, REAL aFar)
| Creates an off-center projection matrix. Left, right, bottom and top are in cameraspace coordinates.
XFCIMPORT void | matrixProject (XFcMatrix4 &aMatrix, const XFcVector4 &aSrc, XFcVector4 &aDst)
| Projects a vector by a matrix.
XFCIMPORT XFcMatrix3 & | matrixIdentity (XFcMatrix3 &aMatrix)
| Creates an identity matrix.
XFCIMPORT XFcMatrix3 & | matrixRotationX (XFcMatrix3 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around X axis.
XFCIMPORT XFcMatrix3 & | matrixRotationY (XFcMatrix3 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around Y axis.
XFCIMPORT XFcMatrix3 & | matrixRotationZ (XFcMatrix3 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around Z axis.
XFCIMPORT XFcMatrix3 & | matrixScaling (XFcMatrix3 &aMatrix, REAL aScale)
| Creates a scaling matrix.
XFCIMPORT XFcMatrix3 & | matrixRotateX (XFcMatrix3 &aMatrix, REAL aAngle)
| Rotates a matrix around X axis.
XFCIMPORT XFcMatrix3 & | matrixRotateY (XFcMatrix3 &aMatrix, REAL aAngle)
| Rotates a matrix around Y axis.
XFCIMPORT XFcMatrix3 & | matrixRotateZ (XFcMatrix3 &aMatrix, REAL aAngle)
| Rotates a matrix around Z axis.
XFCIMPORT XFcMatrix3 & | matrixScale (XFcMatrix3 &aMatrix, REAL aScale)
| Scales a matrix by value.
XFCIMPORT void | matrixTransform (const XFcMatrix3 &aMatrix, const XFcVector3 &aSrc, XFcVector3 &aDst)
| Transforms a vector by matrix.
XFCIMPORT XFcMatrix3 & | matrixTranspose (XFcMatrix3 &aMatrix)
| Transposes a matrix.
XFCIMPORT XFcMatrix3 & | matrixInverse (XFcMatrix3 &aMatrix)
| Inverses a matrix.
XFCIMPORT XFcMatrix3 & | matrixInverseAffine (XFcMatrix3 &aMatrix)
| Inverses a matrix. Handles only affine 3D transformation matricies.
XFCIMPORT XFcMatrix3 & | matrixInverseFast (XFcMatrix3 &aMatrix)
| Inverses a matrix. Handles only 3D rotation matrix.
XFCIMPORT void | matrixNormalize (XFcMatrix3 &aMatrix)
| Normalizes a matrix.
XFCIMPORT void | matrixFromQuaternion (XFcMatrix3 &aMatrix, XFcQuaternion &aQuat)
| Creates a matrix from quaternion.
XFCIMPORT XFcMatrix3 & | matrixRotation2D (XFcMatrix3 &aMatrix, REAL aAngle)
| Creates a matrix that rotates around Z axis.
XFCIMPORT XFcMatrix3 & | matrixRotate2D (XFcMatrix3 &aMatrix, REAL aAngle)
| Rotates a matrix around Z axis.
XFCIMPORT XFcMatrix3 & | matrixTranslation2D (XFcMatrix3 &aMatrix, const XFcVector2 &aOffset)
| Creates a translation matrix.
XFCIMPORT XFcMatrix3 & | matrixScaling2D (XFcMatrix3 &aMatrix, REAL aScale)
| Creates a scaling matrix.
XFCIMPORT XFcMatrix3 & | matrixTranslate2D (XFcMatrix3 &aMatrix, const XFcVector2 &aOffset)
| Translates a matrix by offset.
XFCIMPORT XFcMatrix3 & | matrixScale2D (XFcMatrix3 &aMatrix, REAL aScale)
| Scales a matrix by a value.
XFCIMPORT void | matrixTransform2D (const XFcMatrix3 &aMatrix, const XFcVector2 &aSrc, XFcVector2 &aDst)
| Transforms a vector by a matrix.
XFCIMPORT XFcMatrix3 & | matrixInverseAffine2D (XFcMatrix3 &aMatrix)
| Inverses a matrix. Handles only 2D affine transformation.
XFCIMPORT XFcMatrix3 & | matrixInverseFast2D (XFcMatrix3 &aMatrix)
| Inverses a matrix. Handles only 2D rotation and translation.
XFCIMPORT XFcFixed | floor (XFcFixed aArg)
| Removes any fractional part from the value.
XFCIMPORT XFcFixed | ceil (XFcFixed aArg)
| Rounds the value up to the next larger integer.
XFCIMPORT XFcFixed | sqr (XFcFixed aArg)
| Calculates square of the value.
XFCIMPORT XFcFixed | sqrt (XFcFixed aArg)
| Calculates square root of the value.
XFCIMPORT XFcFixed | sqrtFast (XFcFixed value)
| Calculates square root of the value, sacrificing accuracy for speed.
XFCIMPORT XFcFixed | sin (XFcFixed aArg)
| Calculates sin of the value in radians.
XFCIMPORT XFcFixed | cos (XFcFixed aArg)
| Calculates cos of the value in radians.
XFCIMPORT XFcFixed | tan (XFcFixed aArg)
| Calculates tan of the value in radians.
XFCIMPORT XFcFixed | sinFast (XFcFixed value)
| Calculates sin of the value in radians, sacrificing accuracy for speed.
XFCIMPORT XFcFixed | cosFast (XFcFixed value)
| Calculates cos of the value in radians, sacrificing accuracy for speed.
XFCIMPORT XFcFixed | acosFast (XFcFixed aArg)
| Calculates acos of the value in radians, sacrificing accuracy for speed.
XFCIMPORT XFcFixed | abs (XFcFixed aArg)
| Returns the absolute value of the argument.
XFCIMPORT XFcFixed | atan2 (XFcFixed aY, XFcFixed aX)
| Calculates the angle (in radians) of the X-axis and the point (x,y).
XFCIMPORT XFcFixed | atan (XFcFixed aArg)
| Calculates the arcus tangent of argument.
XFCIMPORT XFcFixed | asin (XFcFixed aArg)
| Calculates the arcus sin of argument.
XFCIMPORT XFcFixed | acos (XFcFixed aArg)
| Calculates the arcus cos of argument.
XFCIMPORT XFcFixed | exp (XFcFixed aArg)
| Calculates e raised to a power of the argument.
XFCIMPORT XFcFixed | log (XFcFixed aArg)
| Calculates the natural logarithm of the argument.
XFCIMPORT XFcFixed | logFast (XFcFixed aArg)
| Calculates the natural logarithm of the argument, sacrificing accuracy for speed.
XFCIMPORT XFcFixed | pow (XFcFixed aBase, XFcFixed aExponent)
| Calculates aBase raised to the power of aExponent.

## Detailed Description

Static collection of math functions.

Contains quaternion, matrix and vector functions as well as math primitives like sin, cos, etc.

## Member Function Documentation

XFCIMPORT XFcFixed XFcMath::abs | ( | XFcFixed | aArg | ) | `[static]`

| Returns the absolute value of the argument.

XFCIMPORT XFcFixed XFcMath::acos | ( | XFcFixed | aArg | ) | `[static]`

| Calculates the arcus cos of argument.

XFCIMPORT XFcFixed XFcMath::acosFast | ( | XFcFixed | aArg | ) | `[static]`

| Calculates acos of the value in radians, sacrificing accuracy for speed.

XFCIMPORT XFcFixed XFcMath::asin | ( | XFcFixed | aArg | ) | `[static]`

| Calculates the arcus sin of argument.

XFCIMPORT XFcFixed XFcMath::atan | ( | XFcFixed | aArg | ) | `[static]`

| Calculates the arcus tangent of argument.

XFCIMPORT XFcFixed XFcMath::atan2 | ( | XFcFixed | aY,
|  | XFcFixed | aX
| ) | `[static]`

| Calculates the angle (in radians) of the X-axis and the point (x,y).

XFCIMPORT XFcFixed XFcMath::ceil | ( | XFcFixed | aArg | ) | `[static]`

| Rounds the value up to the next larger integer.

XFCIMPORT XFcFixed XFcMath::cos | ( | XFcFixed | aArg | ) | `[static]`

| Calculates cos of the value in radians.

XFCIMPORT XFcFixed XFcMath::cosFast | ( | XFcFixed | value | ) | `[static]`

| Calculates cos of the value in radians, sacrificing accuracy for speed.

XFCIMPORT XFcFixed XFcMath::exp | ( | XFcFixed | aArg | ) | `[static]`

| Calculates e raised to a power of the argument.

XFCIMPORT XFcFixed XFcMath::floor | ( | XFcFixed | aArg | ) | `[static]`

| Removes any fractional part from the value.

XFCIMPORT XFcFixed XFcMath::log | ( | XFcFixed | aArg | ) | `[static]`

| Calculates the natural logarithm of the argument.

XFCIMPORT XFcFixed XFcMath::logFast | ( | XFcFixed | aArg | ) | `[static]`

| Calculates the natural logarithm of the argument, sacrificing accuracy for speed.

XFCIMPORT void XFcMath::matrixFromQuaternion | ( | XFcMatrix3 & | aMatrix,
|  | XFcQuaternion & | aQuat
| ) | `[static]`

| Creates a matrix from quaternion.

XFCIMPORT void XFcMath::matrixFromQuaternion | ( | XFcMatrix4 & | aMatrix,
|  | XFcQuaternion & | aQuat
| ) | `[static]`

| Creates matrix from a quaternion.

XFCIMPORT XFcMatrix3& XFcMath::matrixIdentity | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Creates an identity matrix.

XFCIMPORT XFcMatrix4& XFcMath::matrixIdentity | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Creates an identity matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixInverse | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Inverses a matrix.

XFCIMPORT XFcMatrix4& XFcMath::matrixInverse | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Inverses a matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixInverseAffine | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only affine 3D transformation matricies.

XFCIMPORT XFcMatrix4& XFcMath::matrixInverseAffine | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only affine 3D transformation matricies.

XFCIMPORT XFcMatrix3& XFcMath::matrixInverseAffine2D | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only 2D affine transformation.

XFCIMPORT XFcMatrix3& XFcMath::matrixInverseFast | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only 3D rotation matrix.

XFCIMPORT XFcMatrix4& XFcMath::matrixInverseFast | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only 3D matricies with rotation and translation.

XFCIMPORT XFcMatrix3& XFcMath::matrixInverseFast2D | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Inverses a matrix. Handles only 2D rotation and translation.

XFCIMPORT void XFcMath::matrixLookAt | ( | XFcMatrix4 & | aMatrix,
|  | const XFcVector3 & | aPos,
|  | const XFcVector3 & | aAt,
|  | const XFcVector3 & | aUp
| ) | `[static]`

| Creates a look-at matrix.

XFCIMPORT void XFcMath::matrixNormalize | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Normalizes a matrix.

XFCIMPORT void XFcMath::matrixNormalize | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Normalizes a matrix.

XFCIMPORT void XFcMath::matrixProject | ( | XFcMatrix4 & | aMatrix,
|  | const XFcVector4 & | aSrc,
|  | XFcVector4 & | aDst
| ) | `[static]`

| Projects a vector by a matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotate2D | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around Z axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotateX | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around X axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotateX | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around X axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotateY | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around Y axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotateY | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around Y axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotateZ | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around Z axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotateZ | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a matrix around Z axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotation2D | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around Z axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotationX | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around X axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotationX | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around X axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotationY | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around Y axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotationY | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around Y axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixRotationZ | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around Z axis.

XFCIMPORT XFcMatrix4& XFcMath::matrixRotationZ | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aAngle
| ) | `[static]`

| Creates a matrix that rotates around Z axis.

XFCIMPORT XFcMatrix3& XFcMath::matrixScale | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Scales a matrix by value.

XFCIMPORT XFcMatrix4& XFcMath::matrixScale | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Scales a matrix by a value.

XFCIMPORT XFcMatrix3& XFcMath::matrixScale2D | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Scales a matrix by a value.

XFCIMPORT XFcMatrix3& XFcMath::matrixScaling | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Creates a scaling matrix.

XFCIMPORT XFcMatrix4& XFcMath::matrixScaling | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Creates a scaling matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixScaling2D | ( | XFcMatrix3 & | aMatrix,
|  | REAL | aScale
| ) | `[static]`

| Creates a scaling matrix.

XFCIMPORT void XFcMath::matrixToProjection | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aHeight,
|  | REAL | aWidth,
|  | REAL | aFov,
|  | REAL | aZNear,
|  | REAL | aZFar
| ) | `[static]`

| Creates a projection matrix.

XFCIMPORT void XFcMath::matrixToProjectionOffCenter | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aLeft,
|  | REAL | aRight,
|  | REAL | aBottom,
|  | REAL | aTop,
|  | REAL | aNear,
|  | REAL | aFar
| ) | `[static]`

| Creates an off-center projection matrix. Left, right, bottom and top are in cameraspace coordinates.

XFCIMPORT void XFcMath::matrixToProjectionOffCenter | ( | XFcMatrix4 & | aMatrix,
|  | REAL | aHeight,
|  | REAL | aWidth,
|  | REAL | aFov,
|  | REAL | aZNear,
|  | REAL | aZFar,
|  | REAL | aLeft,
|  | REAL | aRight,
|  | REAL | aTop,
|  | REAL | aBottom
| ) | `[static]`

| Creates an off-center projection matrix. Left, right, bottom and top are in screen coordinates.

XFCIMPORT void XFcMath::matrixTransform | ( | const XFcMatrix3 & | aMatrix,
|  | const XFcVector3 & | aSrc,
|  | XFcVector3 & | aDst
| ) | `[static]`

| Transforms a vector by matrix.

XFCIMPORT void XFcMath::matrixTransform | ( | const XFcMatrix4 & | aMatrix,
|  | const XFcVector3 & | aSrc,
|  | XFcVector3 & | aDst
| ) | `[static]`

| Transforms a vector by a matrix.

XFCIMPORT void XFcMath::matrixTransform2D | ( | const XFcMatrix3 & | aMatrix,
|  | const XFcVector2 & | aSrc,
|  | XFcVector2 & | aDst
| ) | `[static]`

| Transforms a vector by a matrix.

XFCIMPORT void XFcMath::matrixTransformNormal | ( | const XFcMatrix4 & | aMatrix,
|  | const XFcVector3 & | aSrc,
|  | XFcVector3 & | aDst
| ) | `[static]`

| Transforms a vector by a matrix without translation information (affine transform).

XFCIMPORT XFcMatrix4& XFcMath::matrixTranslate | ( | XFcMatrix4 & | aMatrix,
|  | const XFcVector3 & | aOffset
| ) | `[static]`

| Translates a matrix by offset.

XFCIMPORT XFcMatrix3& XFcMath::matrixTranslate2D | ( | XFcMatrix3 & | aMatrix,
|  | const XFcVector2 & | aOffset
| ) | `[static]`

| Translates a matrix by offset.

XFCIMPORT XFcMatrix4& XFcMath::matrixTranslation | ( | XFcMatrix4 & | aMatrix,
|  | const XFcVector3 & | aOffset
| ) | `[static]`

| Creates a translation matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixTranslation2D | ( | XFcMatrix3 & | aMatrix,
|  | const XFcVector2 & | aOffset
| ) | `[static]`

| Creates a translation matrix.

XFCIMPORT XFcMatrix3& XFcMath::matrixTranspose | ( | XFcMatrix3 & | aMatrix | ) | `[static]`

| Transposes a matrix.

XFCIMPORT XFcMatrix4& XFcMath::matrixTranspose | ( | XFcMatrix4 & | aMatrix | ) | `[static]`

| Transposes a matrix.

XFCIMPORT XFcFixed XFcMath::pow | ( | XFcFixed | aBase,
|  | XFcFixed | aExponent
| ) | `[static]`

| Calculates aBase raised to the power of aExponent.

XFCIMPORT void XFcMath::quaternionFromMatrix | ( | XFcQuaternion & | aQuat,
|  | XFcMatrix3 & | aMatrix
| ) | `[static]`

| Creates a quaternion from a matrix.

XFCIMPORT void XFcMath::quaternionFromMatrix | ( | XFcQuaternion & | aQuat,
|  | XFcMatrix4 & | aMatrix
| ) | `[static]`

| Creates a quaternion from a matrix.

XFCIMPORT XFcQuaternion& XFcMath::quaternionIdentity | ( | XFcQuaternion & | aQuat | ) | `[static]`

| Creates an identity quaternion.

XFCIMPORT void XFcMath::quaternionLookAt | ( | XFcQuaternion & | aQuat,
|  | XFcVector3 & | aPos,
|  | XFcVector3 & | aAt,
|  | XFcVector3 & | aUp
| ) | `[static]`

| Creates a quaternion from a look-at vector definition.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotateVector | ( | XFcQuaternion & | aQuat,
|  | XFcVector3 & | aVec,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a quaternion around given vector.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotateX | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a quaternion around X axis.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotateXYZ | ( | XFcQuaternion & | aQuat,
|  | REAL | aXAngle,
|  | REAL | aYAngle,
|  | REAL | aZAngle
| ) | `[static]`

| Rotates a quaternion around X, Y and Z axes.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotateY | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a quaternion around Y axis.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotateZ | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Rotates a quaternion around Z axis.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotationVector | ( | XFcQuaternion & | aQuat,
|  | XFcVector3 & | aVector,
|  | REAL | aAngle
| ) | `[static]`

| Creates a quaternion that rotates around given vector.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotationX | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Creates a quaternion that rotates around X axis.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotationXYZ | ( | XFcQuaternion & | aQuat,
|  | REAL | aXAngle,
|  | REAL | aYAngle,
|  | REAL | aZAngle
| ) | `[static]`

| Creates a quaternion that rotates around X, Y and Z axes.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotationY | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Creates a quaternion that rotates around Y axis.

XFCIMPORT XFcQuaternion& XFcMath::quaternionRotationZ | ( | XFcQuaternion & | aQuat,
|  | REAL | aAngle
| ) | `[static]`

| Creates a quaternion that rotates around Z axis.

XFCIMPORT void XFcMath::quaternionSlerp | ( | XFcQuaternion & | aFrom,
|  | XFcQuaternion & | aTo,
|  | REAL | aPos,
|  | XFcQuaternion & | aResult
| ) | `[static]`

| Interpolates a quaternion using spherical linear interpolation.

XFCIMPORT void XFcMath::quaternionTransform | ( | XFcQuaternion & | aQuat,
|  | XFcVector3 & | aSrc,
|  | XFcVector3 & | aDst
| ) | `[static]`

| Transform a vector by a quaternion. This is generally slower than a transform with a matrix, so matrices are better for big amounts of vectors.

XFCIMPORT XFcFixed XFcMath::sin | ( | XFcFixed | aArg | ) | `[static]`

| Calculates sin of the value in radians.

XFCIMPORT XFcFixed XFcMath::sinFast | ( | XFcFixed | value | ) | `[static]`

| Calculates sin of the value in radians, sacrificing accuracy for speed.

XFCIMPORT XFcFixed XFcMath::sqr | ( | XFcFixed | aArg | ) | `[static]`

| Calculates square of the value.

XFCIMPORT XFcFixed XFcMath::sqrt | ( | XFcFixed | aArg | ) | `[static]`

| Calculates square root of the value.

XFCIMPORT XFcFixed XFcMath::sqrtFast | ( | XFcFixed | value | ) | `[static]`

| Calculates square root of the value, sacrificing accuracy for speed.

XFCIMPORT XFcFixed XFcMath::tan | ( | XFcFixed | aArg | ) | `[static]`

| Calculates tan of the value in radians.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch